%define oname easymockclassextension

Name:           easymock2-classextension
Version:        2.5.2
Release:        %mkrel 3
Epoch:          0
Summary:        EasyMockSupport implementation for the Class Extension
License:        ASL 2.0 
Url:            http://easymock.org/
Group:          Development/Java
# svn export http://easymock.svn.sourceforge.net/svnroot/easymock/tags/easymock-classextension-2.5.2/ easymock2-classextension-2.5.2
# tar caf easymock2-classextension-2.5.2.tar.xz easymock2-classextension-2.5.2
Source0:        %{name}-%{version}.tar.xz
Patch0:         %{name}-dep-fixes.patch

BuildRequires:  ant
BuildRequires:  java-devel >= 0:1.5.0
BuildRequires:  jpackage-utils >= 0:1.7.3
BuildRequires:  junit >= 3.8.1
BuildRequires:  liblog4j-java
BuildRequires:  maven
BuildRequires:  maven-compiler-plugin
BuildRequires:  maven-enforcer-plugin
BuildRequires:  maven-javadoc-plugin
BuildRequires:  maven-license-plugin
BuildRequires:  maven-resources-plugin
BuildRequires:  maven-surefire-plugin
BuildRequires:  maven-surefire-provider-junit
BuildRequires:  maven-surefire-provider-junit4
BuildRequires:  maven-timestamp-plugin
BuildRequires:  objenesis
BuildRequires:  cglib

Requires:       java >= 0:1.5.0
Requires:       liblog4j-java

BuildArch:      noarch

%description
This extension allows generation of Mock Objects for classes. 
It is now deprecated since the EasyMock package can now perform
class mocking, but many java builds continue to require it.

%package javadoc
Summary:        Javadoc for %{name}
Group:          Development/Java

%description javadoc
EasyMockSupport implementation for the Class Extension.

%prep
%setup -q 
%patch0 -p1

%build
mvn-rpmbuild -Dmaven.test.skip=true package
mvn-rpmbuild -Dmaven.test.skip=true javadoc:javadoc

%install
install -d -m 755 $RPM_BUILD_ROOT%{_javadir}
install -m 644 target/%{oname}-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}.jar

# poms
install -d -m 755 $RPM_BUILD_ROOT%{_mavenpomdir}
install -m 644 pom.xml \
    $RPM_BUILD_ROOT%{_mavenpomdir}/JPP-%{name}.pom

%add_maven_depmap JPP-%{name}.pom %{name}.jar

# javadoc
install -d -m 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}
cp -pr target/site/apidocs/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%doc LICENSE.txt
%{_javadir}/*.jar
%{_mavendepmapfragdir}/*
%{_mavenpomdir}/*

%files javadoc
%doc %{_javadocdir}/%{name}
%doc LICENSE.txt



%changelog

* Fri Jan 11 2013 umeabot <umeabot> 0:2.5.2-3.mga3
+ Revision: 349272
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Jan 09 2013 dmorgan <dmorgan> 0:2.5.2-2.mga3
+ Revision: 344093
- Disable tests

* Fri Oct 21 2011 dmorgan <dmorgan> 0:2.5.2-1.mga2
+ Revision: 157095
- Fix buildrequires

  + gil <gil>
    - imported package easymock2-classextension

